%define upstream_name    DBD-MariaDB
%define upstream_version 1.21
#define Werror_cflags %%nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

# (tmb) filter out deps on self
%global __requires_exclude ^perl\\(DBD\\:\\:mysql\\)

BuildRequires: perl(DBI) >= 1.609.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(bigint)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-MariaDBl

%description
DBD::mariaDB is an interface driver for connecting the DBMS independent Perl API
DBI to the MariaDB DBMS. When you want to use MariaDB from within perl, DBI and
DBD::mariaDB are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Jun 30 2021 mokraemer <mokraemer> 1.210.0-6.mga8
+ Revision: 1734352
- added package perl-DBD-mariadb
- Created package structure for perl-DBD-mariadb.

